Retrieve the Specific Contact Info Email Based on ContactId

From docs
Jump to: navigation, search

Get Specific Contact Info Email

Base URL

https://apimobile.callproof.com

Endpoint

/api/contacts/{id}/info-email/{email_id}

Purpose

Retrieves one company-level email address for a contact, along with the contact/company name.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

Parameter Type Required Description
id integer Yes Unique identifier of the contact
email_id integer Yes Unique identifier of the email record to retrieve

Query Parameters

None.

Request Body

None.

cURL Example for Android

curl --location 'https://apimobile.callproof.com/api/contacts/{id}/info-email/{email_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

cURL Example for iOS

curl --location 'https://apimobile.callproof.com/api/contacts/{id}/info-email/{email_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Successful Response (200)

Returns the requested contact email details.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data object Email detail payload
uri string Requested resource URI

data.contact_info_email_detail

Field Type Description
id integer Unique identifier of the email record
email string Email address
contact_name string Contact/company name associated with the email

Error Responses

Status Code Meaning
400 Bad Request – email information could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – The contact or email could not be loaded for the given IDs.
  • 401 – Authentication failed or the access token is missing/expired.